package com.casic.dcms.model;

import java.util.List;

public class BridgeConfigBean {

    private String title;
    private String baseUrl;
    private String mainPage;
    private boolean singleSys;
    private String city;
    private String mapUrl;
    private String labelUrl;
    private int zoom;
    private List<Double> center;
    private List<BridgesBean> bridges;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getMainPage() {
        return mainPage;
    }

    public void setMainPage(String mainPage) {
        this.mainPage = mainPage;
    }

    public boolean isSingleSys() {
        return singleSys;
    }

    public void setSingleSys(boolean singleSys) {
        this.singleSys = singleSys;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getMapUrl() {
        return mapUrl;
    }

    public void setMapUrl(String mapUrl) {
        this.mapUrl = mapUrl;
    }

    public String getLabelUrl() {
        return labelUrl;
    }

    public void setLabelUrl(String labelUrl) {
        this.labelUrl = labelUrl;
    }

    public int getZoom() {
        return zoom;
    }

    public void setZoom(int zoom) {
        this.zoom = zoom;
    }

    public List<Double> getCenter() {
        return center;
    }

    public void setCenter(List<Double> center) {
        this.center = center;
    }

    public List<BridgesBean> getBridges() {
        return bridges;
    }

    public void setBridges(List<BridgesBean> bridges) {
        this.bridges = bridges;
    }

    public static class BridgesBean {
        /**
         * id : 1
         * name : 永胜桥
         * lat : 27.76277293762729
         * lng : 116.04329466819765
         */

        private int id;
        private String name;
        private double lat;
        private double lng;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }

        public double getLng() {
            return lng;
        }

        public void setLng(double lng) {
            this.lng = lng;
        }
    }
}
